com.microfocus.awm.meta.interfaces.validation

## Interface TAURUSConfigurationValidator

-     public interface TAURUSConfigurationValidator

  A sample validator interface for `TAURUSConfiguration`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `validate()`
    `boolean` | `validateActionDescriptors(CActionDescriptors value)`
    `boolean` | `validateApplicationOptions(ApplicationOptions value)`
    `boolean` | `validateElementListStructures(CElementListStructures value)`
    `boolean` | `validateElementTypes(CElementTypes value)`
    `boolean` | `validateFileDescriptors(CFileDescriptors value)`
    `boolean` | `validateFilterTypes(CFilterTypes value)`
    `boolean` | `validateFunctionPackages(CFunctionPackages value)`
    `boolean` | `validateGlobalActions(CGlobalActions value)`
    `boolean` | `validateIcons(CIcons value)`
    `boolean` | `validateIDDefinitions(CIDDefinitions value)`
    `boolean` | `validateProperties(CProperties value)`
    `boolean` | `validateToolDescriptors(CToolDescriptors value)`

- - ### Method Detail

    - #### validate

          boolean validate()

    - #### validateApplicationOptions

          boolean validateApplicationOptions(ApplicationOptions value)

    - #### validateFunctionPackages

          boolean validateFunctionPackages(CFunctionPackages value)

    - #### validateIDDefinitions

          boolean validateIDDefinitions(CIDDefinitions value)

    - #### validateActionDescriptors

          boolean validateActionDescriptors(CActionDescriptors value)

    - #### validateGlobalActions

          boolean validateGlobalActions(CGlobalActions value)

    - #### validateElementTypes

          boolean validateElementTypes(CElementTypes value)

    - #### validateElementListStructures

          boolean validateElementListStructures(CElementListStructures value)

    - #### validateFileDescriptors

          boolean validateFileDescriptors(CFileDescriptors value)

    - #### validateFilterTypes

          boolean validateFilterTypes(CFilterTypes value)

    - #### validateProperties

          boolean validateProperties(CProperties value)

    - #### validateToolDescriptors

          boolean validateToolDescriptors(CToolDescriptors value)

    - #### validateIcons

          boolean validateIcons(CIcons value)

Copyright © 2015 Micro Focus GmbH. All rights reserved.